Skip to main content
Users

Update an existing user login

Update an existing user login. This method requires the UserLogins:Update permission to be associated with your role.

PUT
/gb/user/logins/{user_login_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
user_login_idstringrequired

User Login Id to update

Body

application/json

JSON payload

loginstring

Username for the specified service

Example: exampleUsername
passwordstring

(Optional) Password for the specified service

Example: examplePassword
serviceenum<string>

Service

Available options: maclease, 1link, red_book, st_george_nbi2, navman, maclease_partner, azure_ad
Example: maclease_partner
status_flagenum<string>default:active
Available options: active, inactive
user_idstring

User Id

Example: 12345

Response

application/vnd.catch-e-api.v1+json

Success

loginstring
passwordstring
servicestring
status_flagenum<string>
Available options: active, inactive
user_idstring
user_login_idstring